## GOPixbuf

GOPixbuf

## Functions

int | go_pixbuf_get_rowstride ()
GOImage * | go_pixbuf_new_from_data ()
GOImage * | go_pixbuf_new_from_pixbuf ()

## Types and Values

| GOPixbuf

## Object Hierarchy

        GObject
        ╰── GOImage
            ╰── GOPixbuf

## Description

## Functions

### go_pixbuf_get_rowstride ()

    int
    go_pixbuf_get_rowstride (GOPixbuf *pixbuf);

#### Parameters

pixbuf | a GOPixbuf |

#### Returns

the rowstride of `pixbuf` .

### go_pixbuf_new_from_data ()

    GOImage *
    go_pixbuf_new_from_data (char const *type,
                             guint8 const *data,
                             gsize length,
                             GError **error);

#### Parameters

type | the image type |
data | the image data |
length | the length of `data` |
error | a GError. | [out][optional]

#### Returns

a new GOImage.

[transfer full]

### go_pixbuf_new_from_pixbuf ()

    GOImage *
    go_pixbuf_new_from_pixbuf (GdkPixbuf *pixbuf);

#### Parameters

pixbuf | a GdkPixbuf |

#### Returns

a new GOImage.

[transfer full]

## Types and Values

### GOPixbuf

    typedef struct _GOPixbuf GOPixbuf;